- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::RenderStageLighting Class Reference

RenderStageLighting base class. More...

Inheritance diagram for osgUtil::RenderStageLighting:

[legend]
List of all members.

## Public Types
typedef std::pair< osg::ref_ptr< const osg::StateAttribute >, osg::ref_ptr< osg::RefMatrix > > | AttrMatrixPair
typedef std::vector< AttrMatrixPair > | AttrMatrixList
typedef std::map< unsigned int, AttrMatrixList > | TexUnitAttrMatrixListMap
## Public Member Functions
| RenderStageLighting ()
virtual osg::Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual osg::Object * | clone (const osg::CopyOp &) const
| Clone an object, with Object* return type.
virtual bool | isSameKindAs (const osg::Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual void | reset ()
virtual void | addPositionedAttribute (osg::RefMatrix *matrix, const osg::StateAttribute *attr)
virtual void | addPositionedTextureAttribute (unsigned int textureUnit, osg::RefMatrix *matrix, const osg::StateAttribute *attr)
virtual void | draw (osg::State &state, RenderLeaf *&previous)
## Public Attributes
AttrMatrixList | _attrList
TexUnitAttrMatrixListMap | _texAttrListMap
## Protected Member Functions
virtual | ~RenderStageLighting ()

## Detailed Description

RenderStageLighting base class.

Used in RenderStage class.

## Member Typedef Documentation

typedef std::vector< AttrMatrixPair > osgUtil::RenderStageLighting::AttrMatrixList

typedef std::pair< osg::ref_ptr<const osg::StateAttribute> , osg::ref_ptr<osg::RefMatrix> > osgUtil::RenderStageLighting::AttrMatrixPair

typedef std::map< unsigned int, AttrMatrixList > osgUtil::RenderStageLighting::TexUnitAttrMatrixListMap

## Constructor & Destructor Documentation

RenderStageLighting::RenderStageLighting | ( |  | ) |

RenderStageLighting::~RenderStageLighting | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osgUtil::RenderStageLighting::addPositionedAttribute | ( | osg::RefMatrix * | matrix,
|  | const osg::StateAttribute * | attr
| ) | `[inline, virtual]`

virtual void osgUtil::RenderStageLighting::addPositionedTextureAttribute | ( | unsigned int | textureUnit,
|  | osg::RefMatrix * | matrix,
|  | const osg::StateAttribute * | attr
| ) | `[inline, virtual]`

virtual const char* osgUtil::RenderStageLighting::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object.

virtual osg::Object* osgUtil::RenderStageLighting::clone | ( | const osg::CopyOp & |  | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual osg::Object* osgUtil::RenderStageLighting::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

void RenderStageLighting::draw | ( | osg::State & | state,
|  | RenderLeaf *& | previous
| ) | `[virtual]`

virtual bool osgUtil::RenderStageLighting::isSameKindAs | ( | const osg::Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::Object.

virtual const char* osgUtil::RenderStageLighting::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Implements osg::Object.

void RenderStageLighting::reset | ( |  | ) | `[virtual]`

## Member Data Documentation

AttrMatrixList osgUtil::RenderStageLighting::_attrList

TexUnitAttrMatrixListMap osgUtil::RenderStageLighting::_texAttrListMap

The documentation for this class was generated from the following files:

- RenderStageLighting
- RenderStageLighting.cpp